Bug 9283 - Change structure of export checkouts form
Summary: Change structure of export checkouts form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 9294
  Show dependency treegraph
 
Reported: 2012-12-13 20:13 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Export checkouts proposed revised interface (11.58 KB, image/png)
2012-12-13 20:13 UTC, Owen Leonard
Details
Bug 9283 - Change structure of export checkouts form (4.14 KB, patch)
2012-12-13 20:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9283 - Change structure of export checkouts form (4.16 KB, patch)
2012-12-14 11:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9283 - Change structure of export checkouts form (4.26 KB, patch)
2013-02-08 10:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-12-13 20:13:47 UTC
Created attachment 14103 [details]
Export checkouts proposed revised interface

The export checkouts form on the circulation page uses a YUI-generated menu button to offer export format choices. I think it would be simple to create this menu in HTML. I think it would also make the action of the form clearer.
Comment 1 Owen Leonard 2012-12-13 20:20:18 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-12-14 11:26:45 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-12-14 11:27:57 UTC
Thanks for this ergonomic improvement!
Comment 4 Marcel de Rooy 2013-02-08 10:33:16 UTC
QA: Looking at this one..
Comment 5 Marcel de Rooy 2013-02-08 10:45:36 UTC
Created attachment 15158 [details] [review]
Bug 9283 - Change structure of export checkouts form

This patch changes the structure of the export checkouts form
so that it is a little more linear. This change moves generation of the
export options from JavaScript to the markup, eliminating an instance
of dependence on YUI menus.

To test, enable checkout exports by specifying a value for
ExportWithCsvProfile or  ExportRemoveFields. Load a patron with
checkouts in circulation. Try the various checkout export options. Each
should function correctly.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2013-02-08 10:47:33 UTC
QA Comment: Looks even better now. Presentation moved to template instead of javascript/yui. Works as advertised.

Passed QA
Comment 7 Jared Camins-Esakov 2013-02-08 14:48:52 UTC
This patch has been pushed to master.